Skip to content
Get started

Get NEPT staking overview (incl. state + params)

GET/api/v1/nept/staking

Get NEPT staking overview (incl. state + params)

Query ParametersExpand Collapse
with_text: optional boolean

Include text variation fields

with_value: optional boolean

Calculate and include USD values for amounts, where applicable

ReturnsExpand Collapse
data: object { asset_info, global_state, pools }
asset_info: AssetInfo { asset, classification, metadata }

Asset identifiers with associated metadata

asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
classification: AssetClassification

The asset's classification metadata. Assets are classfied to provide context on their usage throughout the Neptune API (e.g. regular assets, neptune receipt tokens, LSTs, etc.)

Each asset belongs to only a single classification type. This object contains metadata pertaining to the given classification.

While some fields may be common among the distinct classifcations, each classification is distinct and subject to independent change.

One of the following:
Regular = object { kind, neptune_receipt_asset }
kind: "regular"
neptune_receipt_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
NeptuneReceiptToken = object { kind, origin_asset }
kind: "neptune_receipt_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
LiquidStakingToken = object { kind, origin_asset }
kind: "liquid_staking_token"
origin_asset: AssetSpec { id, group, group_key }

Provides a unique identifier for an asset for use throughout the Neptune API. IDs are unique across asset domains (contract tokens, native denoms, etc)

id: string
group: "native" or "token"
One of the following:
"native"
"token"
group_key: string
metadata: AssetMetadata { decimals_denom, decimals_display, name, 2 more }

Additional metadata for assets

decimals_denom: number

Denom exponent, or num. of decimal places that shift between denom/standard amounts (e.g. 18 for INJ)

formatuint32
minimum0
decimals_display: number

Number of decimals used when displaying amounts of this asset (this is subjective and used for generating text representations)

formatuint32
minimum0
name: string

Full name of the asset

symbol: string

Symbol of the asset, e.g.: NEPT INJ

symbol_denom: string

Denom symbol for the asset (e.g. inj for INJ, sat for BTC)

global_state: object { extra, rewards_last_distributed, stake_acc }

Staking state values that are not directly associated to a pool

extra: object { text }
text: object { rewards_last_distributed }

Human-readable field variants. Will not be null when query param with_text is true.

rewards_last_distributed: string
rewards_last_distributed: string

When staking rewards were last distributed

formatdate-time
stake_acc: string

! TODO: rename, proper description, text/value?

stake_acc = ∫ ( emission_rate / total_reward_weight ) dt

pools: array of StakingPoolFull { duration, extra, index, 2 more }

List of available staking pools

duration: number

The lockup duration for this pool in seconds

formatuint64
minimum0
extra: object { text }
text: object { duration, index }

Human-readable field variants. Will not be null when query param with_text is true.

duration: string
index: string
index: number

The ordered index (position) of this pool

formatuint8
minimum0
maximum255
params: StakingPoolParams { flash_loan_weight, gov_weight, health_weight, reward_weight }

Staking pool contract parameters

flash_loan_weight: string

The pool's weight (multiplier) for flash loans volume

gov_weight: string

The pool's weight (multiplier) on governance for an associated stake

health_weight: string

The pool's weight (multiplier) on account health for an associated stake

reward_weight: string

The pool's weight (multiplier) on rewards for an associated stake

state: StakingPoolState { extra, total_bonded }

Current contract state of staking pool

extra: object { text, value }
text: object { total_bonded }

Human-readable field variants. Will not be null when query param with_text is true.

total_bonded: string
value: object { extra, price, total_bonded }

USD values for the corresponding amounts above. Will not be null when query param with_value is true.

Note

This variant group contains an additional price field (set to the number used in value calculation).

The embedded text group will contain the text variant if with_text was specified as well.

extra: object { text }
text: object { price, total_bonded }

Human-readable variants of USD values. Will not be null when query params with_text and with_value are true.

price: string

Text representation of price

total_bonded: string
price: string

Price used in value calculations

total_bonded: string
total_bonded: string

The total amount staked to this pool

error: unknown

Error data. Guaranteed null for successful response.

status: number

HTTP status. Successful responses are guaranteed to be < 400. Conversely, error responses are guaranteed to be >= 400.

formatuint16
minimum0
maximum65535
status_text: string

HTTP status text

Get NEPT staking overview (incl. state + params)

curl https://api-v2.nept.finance/api/v1/nept/staking
{
  "data": {
    "asset_info": {
      "asset": {
        "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
        "group": "native",
        "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
      },
      "metadata": {
        "name": "Neptune Token",
        "symbol": "NEPT",
        "symbol_denom": "nept",
        "decimals_denom": 6,
        "decimals_display": 5
      },
      "classification": {
        "kind": "regular",
        "neptune_receipt_asset": null
      }
    },
    "pools": [
      {
        "index": 0,
        "duration": 604800,
        "extra": {
          "text": {
            "duration": "7 days",
            "index": "1"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      },
      {
        "index": 1,
        "duration": 2592000,
        "extra": {
          "text": {
            "duration": "30 days",
            "index": "2"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      },
      {
        "index": 2,
        "duration": 7776000,
        "extra": {
          "text": {
            "duration": "90 days",
            "index": "3"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      }
    ],
    "global_state": {
      "stake_acc": "0",
      "rewards_last_distributed": "2026-04-09T23:35:09.140232993Z",
      "extra": {
        "text": {
          "rewards_last_distributed": "2026-04-09 11:35:09 PM +00:00"
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}
Returns Examples
{
  "data": {
    "asset_info": {
      "asset": {
        "id": "native;factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept",
        "group": "native",
        "group_key": "factory/inj1v3a4zznudwpukpr8y987pu5gnh4xuf7v36jhva/nept"
      },
      "metadata": {
        "name": "Neptune Token",
        "symbol": "NEPT",
        "symbol_denom": "nept",
        "decimals_denom": 6,
        "decimals_display": 5
      },
      "classification": {
        "kind": "regular",
        "neptune_receipt_asset": null
      }
    },
    "pools": [
      {
        "index": 0,
        "duration": 604800,
        "extra": {
          "text": {
            "duration": "7 days",
            "index": "1"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      },
      {
        "index": 1,
        "duration": 2592000,
        "extra": {
          "text": {
            "duration": "30 days",
            "index": "2"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      },
      {
        "index": 2,
        "duration": 7776000,
        "extra": {
          "text": {
            "duration": "90 days",
            "index": "3"
          }
        },
        "params": {
          "reward_weight": "2",
          "gov_weight": "2",
          "health_weight": "1",
          "flash_loan_weight": "0"
        },
        "state": {
          "total_bonded": "0",
          "extra": {
            "text": {
              "total_bonded": "0.00000 NEPT"
            },
            "value": {
              "total_bonded": "0",
              "price": "0.032585758453916404",
              "extra": {
                "text": {
                  "price": "$0.03",
                  "total_bonded": "$0.00"
                }
              }
            }
          }
        }
      }
    ],
    "global_state": {
      "stake_acc": "0",
      "rewards_last_distributed": "2026-04-09T23:35:09.140232993Z",
      "extra": {
        "text": {
          "rewards_last_distributed": "2026-04-09 11:35:09 PM +00:00"
        }
      }
    }
  },
  "error": null,
  "status": 200,
  "status_text": "200 OK"
}
{
  "data": null,
  "error": {
    "kind": "internal",
    "scope": "server",
    "message": "An unexpected error occurred"
  },
  "status": 500,
  "status_text": "500 Internal Server Error"
}